forked from pool/virtualbox
c3b92b1f7d
Thu July 19 15:24:39 UTC 2023 - Larry Rainey <llrainey15@gmail.com> - VirtualBox 7.0.10 (released July 18 2023) This is a maintenance release. The following items were fixed and/or added: OCI: Introduced general improvements VMM: Fixed a bug while walking page tables while executing nested VMs causing flooding of the release log as a consequence (Intel hosts only, bug #21551) GUI: Added general improvements TPM: Fixed a crash when a VM has a TPM version 1.2 configured (bug #21622) 3D: Initial support for OpenGL 4.1 3D: Fixed various graphics issues with Windows 11 guests (bugs #21136, #21515) Guest Control/VBoxManage: Fixed parameter "--ignore-orphaned-processes" Guest Control/VBoxManage: Fixed behavior of how handling argument 0 for a started guest process works: One can now explicitly specify it with the newly added option "--arg0". This will effectively restore the behavior of former VirtualBox versions Audio: Also use the PulseAudio backend when pipewire-pulse is running instead of falling back to ALSA (bug #21575) NAT: Adjusted UDP proxy timeout from 18-21 to 21-24 range to respect intended 20 second timeout (bug #21560) Linux Host: Added initial support for Indirect Branch Tracking (bug #21435) Linux Host: Added initial support for kernel 6.5 (NOTE: Guest Additions do not support kernel 6.5 yet) Linux Host and Guest: Improved condition check when kernel modules need to be signed Linux Host and Guest: Added initial support for RHEL 8.8 (bug #21692), 8.9 (bug #21690) and 9.3 (bugs #21598 and #21671) kernels Linux Guest Additions: Fixed issue when kernel modules were rebuilt on each boot when guest system has no X11 installed Linux Guest Additions: Added initial support for kernel 6.4 Linux Guest Additions: Fixed issue when vboxvideo module reloading caused kernel panic in some guests (bug #21740) Linux Guest Additions: Introduced general improvements in the installer area Windows Guest Additions: Introduced general improvements in graphics drivers area removed "fixes_for_kernel_6.4.patch" as this is fixed upstream Fix issue with kernel on newer CPU (boo#1212209) OBS-URL: https://build.opensuse.org/request/show/1099771 OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=702
214 lines
8.2 KiB
Diff
214 lines
8.2 KiB
Diff
Index: VirtualBox-7.0.10/src/VBox/Additions/linux/installer/vboxadd.sh
|
|
===================================================================
|
|
--- VirtualBox-7.0.10.orig/src/VBox/Additions/linux/installer/vboxadd.sh
|
|
+++ VirtualBox-7.0.10/src/VBox/Additions/linux/installer/vboxadd.sh
|
|
@@ -36,11 +36,14 @@
|
|
# Provides: vboxadd
|
|
# Required-Start:
|
|
# Required-Stop:
|
|
-# Default-Start: 2 3 4 5
|
|
+# Should-Start: $remote_fs
|
|
+# Should-Stop: $remote_fs
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# X-Start-Before: display-manager
|
|
# X-Service-Type: oneshot
|
|
# Description: VirtualBox Linux Additions kernel modules
|
|
+# Short-Description: VirtualBox Linux Additions kernel modules
|
|
### END INIT INFO
|
|
|
|
## @todo This file duplicates a lot of script with vboxdrv.sh. When making
|
|
@@ -266,12 +269,6 @@ do_vboxguest_non_udev()
|
|
fail "Cannot create device $dev with major $maj and minor $min"
|
|
}
|
|
fi
|
|
- chown $owner:$group $dev 2>/dev/null || {
|
|
- rm -f $dev 2>/dev/null
|
|
- rm -f $userdev 2>/dev/null
|
|
- rmmod vboxguest 2>/dev/null
|
|
- fail "Cannot change owner $owner:$group for device $dev"
|
|
- }
|
|
|
|
if [ ! -c $userdev ]; then
|
|
maj=10
|
|
@@ -282,12 +279,6 @@ do_vboxguest_non_udev()
|
|
rmmod vboxguest 2>/dev/null
|
|
fail "Cannot create device $userdev with major $maj and minor $min"
|
|
}
|
|
- chown $owner:$group $userdev 2>/dev/null || {
|
|
- rm -f $dev 2>/dev/null
|
|
- rm -f $userdev 2>/dev/null
|
|
- rmmod vboxguest 2>/dev/null
|
|
- fail "Cannot change owner $owner:$group for device $userdev"
|
|
- }
|
|
fi
|
|
fi
|
|
}
|
|
@@ -351,7 +342,7 @@ cleanup_modules()
|
|
done
|
|
if test -z "${keep}"; then
|
|
rm -rf /lib/modules/"${KERN_VER}"
|
|
- rm -f /boot/initrd.img-"${KERN_VER}"
|
|
+ rm -f /boot/initrd.img-"${KERN_VER}"
|
|
fi
|
|
done
|
|
for i in ${OLDMODULES}; do
|
|
@@ -660,9 +651,9 @@ create_udev_rule()
|
|
udevcontrol reload_rules >/dev/null 2>&1 || true
|
|
fi
|
|
}
|
|
-
|
|
-create_module_rebuild_script()
|
|
-{
|
|
+ # And an rc file to re-build the kernel modules and re-set-up the X server.
|
|
+ ln -sf "$lib_path/$PACKAGE/vboxadd" /sbin/rcvboxadd
|
|
+ #ln -sf "$lib_path/$PACKAGE/vboxadd-x11" /sbin/rcvboxadd-x11
|
|
# And a post-installation script for rebuilding modules when a new kernel
|
|
# is installed.
|
|
mkdir -p /etc/kernel/postinst.d /etc/kernel/prerm.d
|
|
@@ -875,18 +866,17 @@ setup()
|
|
already available for kernel $TARGET_VER and do not require to be rebuilt."
|
|
else
|
|
info "Building the VirtualBox Guest Additions kernel modules. This may take a while."
|
|
- info "To build modules for other installed kernels, run"
|
|
- info " /sbin/rcvboxadd quicksetup <version>"
|
|
- info "or"
|
|
- info " /sbin/rcvboxadd quicksetup all"
|
|
- if test -d /lib/modules/"$TARGET_VER"/build; then
|
|
- setup_modules "$TARGET_VER"
|
|
- depmod
|
|
- else
|
|
- info "Kernel headers not found for target kernel $TARGET_VER. \
|
|
+ info "To build modules for other installed kernels, run"
|
|
+ info " /sbin/rcvboxadd quicksetup <version>"
|
|
+ info "or"
|
|
+ info " /sbin/rcvboxadd quicksetup all"
|
|
+ if test -d /lib/modules/"$TARGET_VER"/build; then
|
|
+ setup_modules "$TARGET_VER"
|
|
+ depmod
|
|
+ else
|
|
+ info "Kernel headers not found for target kernel $TARGET_VER. \
|
|
Please install them and execute
|
|
/sbin/rcvboxadd setup"
|
|
- fi
|
|
fi
|
|
fi
|
|
create_vbox_user
|
|
@@ -904,17 +894,14 @@ Please install them and execute
|
|
# Put the X.Org driver in place. This is harmless if it is not needed.
|
|
# Also set up the OpenGL library.
|
|
myerr=`"${INSTALL_DIR}/init/vboxadd-x11" setup 2>&1`
|
|
- test -z "${myerr}" || log "${myerr}"
|
|
-
|
|
- return 0
|
|
+ succ_msg
|
|
}
|
|
|
|
# cleanup_script
|
|
cleanup()
|
|
{
|
|
- if test -z "${INSTALL_NO_MODULE_BUILDS}"; then
|
|
- # Delete old versions of VBox modules.
|
|
- cleanup_modules
|
|
+ # Delete old versions of VBox modules.
|
|
+ cleanup_modules
|
|
depmod
|
|
|
|
# Remove old module sources
|
|
@@ -924,12 +911,13 @@ cleanup()
|
|
fi
|
|
|
|
# Clean-up X11-related bits
|
|
- "${INSTALL_DIR}/init/vboxadd-x11" cleanup
|
|
+ #/sbin/rcvboxadd-x11 cleanup
|
|
|
|
# Remove other files
|
|
- if test -z "${INSTALL_NO_MODULE_BUILDS}"; then
|
|
- rm -f /etc/kernel/postinst.d/vboxadd /etc/kernel/prerm.d/vboxadd
|
|
- rmdir -p /etc/kernel/postinst.d /etc/kernel/prerm.d 2>/dev/null || true
|
|
+ rm /sbin/rcvboxadd 2>/dev/null
|
|
+ #rm /sbin/rcvboxadd-x11 2>/dev/null
|
|
+ rm -f /etc/kernel/postinst.d/vboxadd /etc/kernel/prerm.d/vboxadd
|
|
+ rmdir -p /etc/kernel/postinst.d /etc/kernel/prerm.d 2>/dev/null || true
|
|
fi
|
|
rm -f /sbin/mount.vboxsf 2>/dev/null
|
|
rm -f /etc/udev/rules.d/60-vboxadd.rules 2>/dev/null
|
|
Index: VirtualBox-7.0.10/src/VBox/Additions/linux/installer/vboxadd-service.sh
|
|
===================================================================
|
|
--- VirtualBox-7.0.10.orig/src/VBox/Additions/linux/installer/vboxadd-service.sh
|
|
+++ VirtualBox-7.0.10/src/VBox/Additions/linux/installer/vboxadd-service.sh
|
|
@@ -36,7 +36,7 @@
|
|
# Provides: vboxadd-service
|
|
# Required-Start: vboxadd
|
|
# Required-Stop: vboxadd
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# X-Conflicts-With: systemd-timesyncd.service
|
|
# Description: VirtualBox Additions Service
|
|
Index: VirtualBox-7.0.10/src/VBox/Installer/linux/vboxautostart-service.sh
|
|
===================================================================
|
|
--- VirtualBox-7.0.10.orig/src/VBox/Installer/linux/vboxautostart-service.sh
|
|
+++ VirtualBox-7.0.10/src/VBox/Installer/linux/vboxautostart-service.sh
|
|
@@ -33,7 +33,7 @@
|
|
# Provides: vboxautostart-service
|
|
# Required-Start: vboxdrv
|
|
# Required-Stop: vboxdrv
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# Description: VirtualBox autostart service
|
|
### END INIT INFO
|
|
Index: VirtualBox-7.0.10/src/VBox/Installer/linux/vboxballoonctrl-service.sh
|
|
===================================================================
|
|
--- VirtualBox-7.0.10.orig/src/VBox/Installer/linux/vboxballoonctrl-service.sh
|
|
+++ VirtualBox-7.0.10/src/VBox/Installer/linux/vboxballoonctrl-service.sh
|
|
@@ -33,7 +33,7 @@
|
|
# Provides: vboxballoonctrl-service
|
|
# Required-Start: vboxdrv
|
|
# Required-Stop: vboxdrv
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# Description: VirtualBox watchdog daemon
|
|
### END INIT INFO
|
|
Index: VirtualBox-7.0.10/src/VBox/ValidationKit/testboxscript/linux/testboxscript-service.sh
|
|
===================================================================
|
|
--- VirtualBox-7.0.10.orig/src/VBox/ValidationKit/testboxscript/linux/testboxscript-service.sh
|
|
+++ VirtualBox-7.0.10/src/VBox/ValidationKit/testboxscript/linux/testboxscript-service.sh
|
|
@@ -41,7 +41,7 @@
|
|
# Provides: testboxscript-service
|
|
# Required-Start: $network
|
|
# Required-Stop:
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# Description: TestBoxScript service
|
|
### END INIT INFO
|
|
Index: VirtualBox-7.0.10/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs-nat.sh
|
|
===================================================================
|
|
--- VirtualBox-7.0.10.orig/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs-nat.sh
|
|
+++ VirtualBox-7.0.10/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs-nat.sh
|
|
@@ -41,7 +41,7 @@
|
|
# Provides: vboxtxs
|
|
# Required-Start: $network
|
|
# Required-Stop:
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# Description: VirtualBox Test Execution Service
|
|
### END INIT INFO
|
|
Index: VirtualBox-7.0.10/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs.sh
|
|
===================================================================
|
|
--- VirtualBox-7.0.10.orig/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs.sh
|
|
+++ VirtualBox-7.0.10/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs.sh
|
|
@@ -41,7 +41,7 @@
|
|
# Provides: vboxtxs
|
|
# Required-Start: $network
|
|
# Required-Stop:
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# Description: VirtualBox Test Execution Service
|
|
### END INIT INFO
|